### org.jfree.layouting.util

# Class NullOutputStream

- `OutputStream`
- - `org.jfree.layouting.util.NullOutputStream`

`public class NullOutputStream`
`extends OutputStream`

A null output stream. All data written to this stream is ignored.

Author:
  Thomas Morgner

  ## Constructor Summary

  `NullOutputStream()`
    Default constructor.

  ## Method Summary

  `void`

  `write(byte[] bytes)`
    Writes to the stream (in this case, does nothing).

  `void`

  `write(byte[] bytes, int off, int len)`
    Writes to the stream (in this case, does nothing).

  `void`

  `write(int i)`
    Writes to the stream (in this case, does nothing).

## Constructor Details

### NullOutputStream

    public NullOutputStream()

> Default constructor.

## Method Details

### write

    public void write(byte[] bytes)
                throws IOException

> Writes to the stream (in this case, does nothing).
> Parameters:
>   `bytes` - the bytes.

### write

    public void write(byte[] bytes,
                      int off,
                      int len)
                throws IOException

> Writes to the stream (in this case, does nothing).
> Parameters:
>   `bytes` - the bytes.
>   `off` - the start offset in the data.
>   `len` - the number of bytes to write.

### write

    public void write(int i)
                throws IOException

> Writes to the stream (in this case, does nothing).
> Parameters:
>   `i` - the value.